
.line-xs {
    z-index: 50;
    display: none;
    position: absolute;

    &-0 {
        top: 0;
        left: 0;
        width: 100%;
        min-width: 375px;
    }

    &-01 {
        left: 20px;
        top: 140px;
        width: 1px;
        height: 546px;
        background: #6C2078;

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }
    
    &-02 {
        height: 1px;
        left: 10px;
        bottom: -10px;
        width: 292px;
        background: #6C2078;

        &::after,
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
        }

        &::after {
            top: -9px;
            left: -10px;
            border-left: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }

        &::before {
            bottom: -9px;
            right: -10px;
            border-right: 1px solid #6C2078;
            border-top: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
    }

    &-03 {
        bottom: -63px;
        right: -10px;
        width: 1px;
        height: 54px;
        background: #6C2078;
        
        &::before {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-04 {
        left: 0;
        top: 100%;
        width: 1px;
        height: 932px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
    }

    &-05 {
        height: 1px;
        left: 10px;
        bottom: -10px;
        width: 321px;
        background: #282A7E;
        
        &::after,
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
        }

        &::after {
            top: -9px;
            left: -10px;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }

        &::before {
            top: -9px;
            right: -10px;
            border-right: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 10px 0;
        }
    }

    
    &-06 {
        top: -93px;
        right: -10px;
        width: 1px;
        height: 84px;
        background: #282A7E;
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-07 {
        height: 1px;
        top: 583px;
        left: 10px;
        width: 16px;
        background: #282A7E;
                
        &::after  {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
            top: -9px;
            left: -10px;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
                
        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-08 {
        top: 1690px;
        right: 13px;
        width: 1px;
        height: 750px;
        background: linear-gradient(180deg, #6C2078 5.27%, #040B2E 105.27%);
    }

    &-09 {
        height: 1px;
        top: -9px;
        right: 10px;
        width: 18px;
        background: #6C2078;
                        
        &::after  {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
            bottom: -9px;
            right: -10px;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-10 {
        top: 2468px;
        left: 14px;
        width: 1px;
        height: 755px;
        background: #6C2078;
    }

    &-11 {
        height: 1px;
        top: -9px;
        left: 10px;
        width: 6px;
        background: #6C2078;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
            bottom: -9px;
            left: -10px;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 6px 0 0 0;
        }

        &::before {
            top: -3px;
            right: -2px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-12 {
        height: 1px;
        bottom: -9px;
        left: 10px;
        width: 156px;
        background: #6C2078;
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
            top: -9px;
            left: -10px;
            border-bottom: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }
                
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            position: absolute;
            top: 0;
            right: -10px;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
    }

    &-13 {
        top: 10px;
        right: -10px;
        width: 1px;
        height: 40px;
        background: #6C2078;

        &::before {
            bottom: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-14 {
        top: 2468px;
        right: 14px;
        width: 1px;
        height: 238px;
        background: #282A7E;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: -9px;
            right: 0;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-right: 1px solid #282A7E;
            border-radius: 0 10px 0 0;
        }
        
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 10px 0;
        }
    }

    &-15 {
        height: 1px;
        top: -9px;
        right: 10px;
        width: 110px;
        background: #282A7E;

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-16 {
        height: 1px;
        bottom: -9px;
        right: 10px;
        width: 279px;
        background: #282A7E;
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 14px;
            top: 0;
            right: 100%;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-left: 1px solid #282A7E;
            border-radius: 10px 0 0 0;
        }

        &::before {
            top: 12px;
            left: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-17 {
        width: 1px;
        top: 3416px;
        left: 8px;
        height: 486px;
        background: #6C2078;
                
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 14px;
            top: 100%;
            left: 0;
            position: absolute;
            border-bottom: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-18 {
        left: 10px;
        bottom: -14px;
        height: 1px;
        width: 110px;
        background: #6C2078;
        
        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-19 {
        width: 1px;
        top: 4048px;
        left: 22px;
        height: 840px;
        background: #282A7E;
              
        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
                        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-bottom: 1px solid #282A7E;
            border-left: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
    }

    &-20 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 290px;
        background: #282A7E;
                               
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 60px;
            top: 0;
            left: 100%;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-right: 1px solid #282A7E;
            border-radius: 0 10px 0 0;
        }
          
        &::before {
            top: 57px;
            right: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-21 {
        width: 1px;
        top: 5047px;
        left: 10px;
        height: 500px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
                 
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
                                   
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
    }

    &-22 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 103px;
        background: #282A7E;

        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-23 {
        width: 1px;
        top: 100%;
        left: 0;
        height: 336px;
        background: #282A7E;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 20px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
        
        &::before {
            bottom: -13px;
            right: -23px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-24 {
        width: 1px;
        height: 118px;
        top: 6135px;
        right: 22px;
        background: #6C2078;
                         
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 10px 0;
        }
                                 
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #6C2078;
            border-top: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
    }

    &-25 {
        bottom: -10px;
        right: 10px;
        width: 322px;
        height: 1px;
        background: #6C2078;
                  
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 50px;
            top: 0;
            right: 100%;
            position: absolute;
            border-left: 1px solid #6C2078;
            border-top: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }

        &::before {
            top: 50px;
            left: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-30 {
        top: -10px;
        right: 10px;
        width: 48px;
        height: 1px;
        background: #6C2078;
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-26 {
        left: 10px;
        top: 6884px;
        width: 1px;
        height: 1460px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
                
        &::before {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-27 {
        width: 1px;
        height: 765px;
        top: 8352px;
        right: 10px;
        background: #6C2078; 

                                         
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #6C2078;
            border-top: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
                         
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 10px 0;
        }
    }

    &-28 {
        top: -10px;
        right: 10px;
        width: 125px;
        height: 1px;
        background: #6C2078;
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-29 {
        bottom: -10px;
        right: 10px;
        width: 335px;
        height: 1px;
        background: #6C2078;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 63px;
            top: 0;
            left: -10px;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }
                          
        &::before {
            top: 60px;
            left: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    @media (min-width: 374px) {
        display: block;
    }

    @media (min-width: $screen-sm-min) {
        display: none;
    }
}

.line-sm {
    z-index: 50;
    display: none;
    position: absolute;

    &-0 {
        top: 0;
        left: 0;
        width: 100%;
    }

    &-01 {
        left: -16px;
        top: 122px;
        width: 1px;
        height: 1094px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid rgba(40,42,126,1);
            border-radius: 0 0 0 10px;
        }
    }

    &-02 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 545px;
        background: #282A7E;
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 90px;
            left: 100%;
            bottom: 0;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-right: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 10px 10px 0;
        }
        
        &::before {
            top: -91px;
            right: 0;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-03 {
        left: 10px;
        bottom: -20px;
        height: 1px;
        width: 224px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(66,10,75,1) 100%);

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 20px;
            right: 100%;
            bottom: 0;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
        
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            left: 100%;
            top: 0;
            position: absolute;
            border-top: 1px solid #420A4B;
            border-right: 1px solid #420A4B;
            border-radius: 0 10px 0 0;
        }
    }

    &-04 {
        right: -10px;
        top: 10px;
        width: 1px;
        height: 31px;
        background: linear-gradient(0deg, rgba(108,32,120,1) 0%, rgba(66,10,75,1) 100%);
        
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 15px;
            height: 10px;
            left: 0;
            top: 100%;
            position: absolute;
            border-left: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }

        &::after {
            bottom: -13px;
            right: -17px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-05 {
        left: -5px;
        top: 122px;
        width: 1px;
        height: 748px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid rgba(40,42,126,1);
            border-radius: 0 0 0 10px;
        }
    }

    &-06 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 152px;
        background: #282A7E;
        
        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }
    
    &-07 {
        left: 5px;
        top: 391px;
        width: 1px;
        height: 73px;
        background: linear-gradient(0deg, rgba(108,32,120,1) 0%, rgba(40,42,126,1)  100%);
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(40,42,126,1);
        }
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 262px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-left: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }
    }

    &-08 {
        left: 270px;
        top: calc(100% + 19px);
        height: 56px;
        width: 1px;
        background: #6C2078;
               
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
            
        &::before {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-09 {
        right: -10px;
        top: 1294px;
        width: 1px;
        height: 790px;
        background: linear-gradient(0deg, rgba(4,11,46,1) 0%, rgba(108,32,120,1) 100%);
                       
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }

        &::before {
            top: -13px;
            left: -15px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-10 {
        right: 0px;
        top: 1758px;
        width: 1px;
        height: 214px;
        background: #282A7E;
                               
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-right: 1px solid #282A7E;
            border-radius: 0 10px 0 0;
        }
                                       
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            right: 0;
            position: absolute;
            border-right: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 10px 0;
        }
    }

    &-11 {
        right: 10px;
        top: -10px;
        width: 138px;
        height: 1px;
        background: #282A7E;
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }
    
    &-12 {
        right: 10px;
        bottom: -10px;
        width: 414px;
        height: 1px;
        background: #282A7E;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 16px;
            top: 0;
            right: 100%;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-left: 1px solid #282A7E;
            border-radius: 10px 0 0 0;
        }
        
        &::before {
            top: 15px;
            left: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-13 {
        left: -5px;
        top: 2490px;
        width: 40px;
        height: 1px;
        background: #6C2078;
                         
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 12px;
            right: 100%;
            top: 0;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }

        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 11px;
            left: 100%;
            bottom: 0;
            position: absolute;
            border-right: 1px solid #6C2078;
            border-bottom: 1px solid #6C2078;
            border-radius: 0 0 10px 0;
        }
    }

    &-14 {
        right: -10px;
        bottom: 9px;
        width: 1px;
        height: 725px;
        background: #6C2078;

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 33px;
            height: 10px;
            left: 0;
            bottom: 100%;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }

        &::before {
            top: -13px;
            left: 30px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-15 {
        left: -10px;
        top: 10px;
        width: 1px;
        height: 1420px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 20px;
            height: 10px;
            left: 0;
            top: 100%;
            position: absolute;
            border-bottom: 1px solid rgba(40,42,126,1);
            border-left: 1px solid rgba(40,42,126,1);
            border-radius: 0 0 0 10px;
        }

        &::before {
            bottom: -13px;
            left: 18px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  rgba(40,42,126,1);
        }
    }

    &-16 {
        left: 0px;
        top: 10px;
        width: 1px;
        height: 738px;
        background: #6C2078;
              
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 12px;
            height: 10px;
            left: 0;
            top: 100%;
            position: absolute;
            border-bottom: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 0 0 0 10px;
        }

        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            left: 0;
            bottom: 100%;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }
    }
    
    &-17 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 260px;
        background: #6C2078;
                      
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 40px;
            left: 100%;
            top: 0;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
        
        &::before {
            top: 38px;
            right: -13px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }

    &-18 {
        left: 10px;
        top: 10px;
        width: 7px;
        height: 71px;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 0 10px;
                
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            left: -1px;
            bottom: 100%;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
        }

        &::before {
            bottom: -3px;
            left: 4px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }

    &-19 {
        right: 10px;
        top: 2570px;
        width: 145px;
        height: 1px; 
        background: #282A7E;

        &::before {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 12px;
            left: 100%;
            top: 0;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-right: 1px solid #282A7E;
            border-radius: 0 10px 0 0;
        }
    }

    &-20 {
        top: 10px;
        right: -10px;
        width: 35px;
        height: 576px;
        border-right: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 10px 0;

        &::before {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }

    &-21 {
        left: -15px;
        top: 4014px;
        width: 22px;
        height: 1px;
    }

    &-22 {
        width: 10px;
        height: 1055px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;

        &::after {
            right: -3px;
            bottom: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }

        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }

    &-23 {
        top: 0;
        left: 10px;
        width: 1px;
        height: 700px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6B2078;
        }

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            left: 0;
            top: 100%;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
    }

    &-24 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 40px;
        background: #282A7E;

        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }
    
    &-25 {
        top: 0;
        left: 20px;
        width: 1px;
        height: 516px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::before {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6B2078;
        }

        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            left: 0;
            top: 100%;
            position: absolute;
            border-left: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }
    }

    &-26 {
        left: 10px;
        bottom: -10px;
        height: 1px;
        width: 96px;
        background: #282A7E;

        &::before {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }

    &-27 {
        right: 0;
        top: 4885px;
        width: 1px;
        height: 492px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 35px;
            height: 10px;
            bottom: 100%;
            right: 0;
            position: absolute;
            border-top: 1px solid #6C2078;
            border-right: 1px solid #6C2078;
            border-radius: 0 10px 0 0;
        }
        
        &::before {
            top: -13px;
            right: 31px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }

    &-28 {
        height: 1px;
        width: 545px;
        bottom: -10px;
        right: 10px;
        background: #282A7E;
                
        &::after {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            bottom: 100%;
            left: 100%;
            position: absolute;
            border-right: 1px solid #282A7E;
            border-bottom: 1px solid #282A7E;
            border-radius: 0 0 10px 0;
        }
                        
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 0;
            right: 100%;
            position: absolute;
            border-top: 1px solid #282A7E;
            border-left: 1px solid #282A7E;
            border-radius: 10px 0 0 0;
        }
    }

    &-29 {
        left: -10px;
        top: 10px;
        width: 1px;
        height: 33px;
        background: #282A7E;
                                
        &::before {
            z-index: 10;
            content: '';
            display: block;
            width: 10px;
            height: 10px;
            top: 100%;
            left: 0;
            position: absolute;
            border-bottom: 1px solid #282A7E;
            border-left: 1px solid #282A7E;
            border-radius: 0 0 0 10px;
        }

        &::after {
            top: 39px;
            left: 8px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }

    &-30 {
        left: -5px;
        top: 5512px;
        width: 1px;
        height: 1030px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);

        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }

    &-31 {
        top: 100%;
        left: 0;
        width: 12px;
        height: 10px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;
        
        &::after {
            bottom: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #282A7E;
        }
    }

    &-32 {
        left: -14px;
        right: 21px;
        height: 1px;
        bottom: 38px;
        height: 10px;
        border-left: 1px solid #6C2078;
        border-right: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 10px 10px;
    }

    &-33 {
        left: -1px;
        bottom: 100%;
        width: 20px;
        height: 295px;
        border-top: 1px solid #6C2078;
        border-left: 1px solid #6C2078;
        border-radius: 10px 0 0 0;
            
        &::after {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }

    &-34 {
        right: -1px;
        bottom: 100%;
        width: 10px;
        height: 361px;
        border-top: 1px solid #6C2078;
        border-right: 1px solid #6C2078;
        border-radius: 0 10px 0 0;
    }

    &-35 {
        height: 40px;
        width: 533px;
        right: 100%;
        bottom: 100%;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 0 10px;
    }

    &-36 {
        left: -1px;
        bottom: 100%;
        width: 1px;
        height: 1807px;
        background: #6C2078;
                    
        &::after {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background:  #6C2078;
        }
    }
    
    &-141 {
        display: none
    }
    
    @media (min-width: $screen-sm-min) {
        display: block;
    }

        
    @media (min-width: $screen-md-min) {
        
        &-01 {
            left: -11px;
            top: 165px;
            height: 1584px;
        }

        &-02 {
            width: 725px;
            
            &:after {
                height: 115px;
            }

            &::before {
                top: -117px;
            }
        }

        &-03 {
            width: 265px;
        }

        &-04 {
            height: 60px;
        }

        &-05 {
            left: -1px;
            top: 165px;
            height: 1108px;

        }

        &-06 {
            width: 168px;
        }

        &-07 {
            left: 9px;
            top: 552px;
            height: 110px;

            &:after {
                width: 348px;
            }
        }

        &-08 {
            left: 355px;
            height: 94px;
        }

        &-09 {
            right: -5px;
            top: 1858px;
        }
        
        &-10 {
           top: 2486px; 
           height: 294px;
        }

        &-11 {
            width: 250px;
        }

        &-12 {
            width: 570px;

            &:after {
                height: 25px;
            }

            &::before {
                top: 22px;
            }
        }

        &-13 {
            left: 8px;
            width: 34px;
            top: 3506px;
        }

        &-14 {
            height: 1012px;

            &::after {
                width: 33px;
            }

            &::before {
                left: 32px;
            }
        }

        &-15 {
            height: 2035px;

            &::before {
                left: 85px;
            }

            &:after {
                width: 86px;
            }
        }

        &-16 {
            height: 1025px;
        }

        &-17 {
            width: 337px;

            &::after {
                height: 166px;
            }

            &::before {
                top: 164px;
            }
        }

        &-18 {
            width: 64px;
            height: 80px;


            &::before {
                left: 63px;
                bottom: -4px;
            }
        }

        &-19 {
            right: 7px;
            top: 3595px;
            width: 130px;
        }

        &-20 {
            width: 10px;
            height: 872px;
        }

        &-21 {
            left: -12px;
           top: 5677px;
        }

        &-22 {
            width: 12px;
            height: 1396px;
        }

        &-23 {
            height: 1013px;
        }

        &-25 {
            height: 702px;
        }

        &-26 {
            width: 152px;
        }

        &-27 {
            right: -9px;
            top: 6718px;
            height: 810px;

            &::before {
                right: 10px;
            }

            &::after {
                width: 10px;
            }
        }

        &-28 {
            width: 728px;
        }

        &-29 {
            height: 64px;

            &::after {
                left: 6px;
                top: 69px;
            }
        }

        &-30 {
            left: 1px;
            top: 7745px;
            height: 1555px;
        }

        &-32 {
            left: -10px;
            right: 0;
            bottom: 78px;
        }

        &-33 {
            height: 355px;
        }

        &-34 {
            height: 450px;
        }

        &-35 {
            width: 727px;
        }

        &-36 {
            height: 2617px;
        }
    }

    @media (min-width: $screen-lg-min) {

        &-01 {
            left: -17px;
            top: 210px;
            height: 1660px;
        }

        &-02 {
            width: 975px;

            &::before {
                top: -152px;
            }

            &:after {
                height: 150px;
            }
        }

        &-03 {
            width: 392px;
        }

        &-04 {
            height: 86px;

            &::before {
                width: 35px;   
            }

            &:after {
                right: -35px;
            }
        }

        &-05 {
            left: -7px;
            top: 210px;
            height: 1216px;

        }

        &-06 {
            width: 242px;
        }

        &-07 {
            left: 3px;
            top: 624px;
            height: 222px;

            &:after {
                width: 430px;
            }
        }

        &-08 {
            left: 438px;
            height: 88px;
        }

        &-09 {
            right: -10px;
            top: 2010px;
            height: 1068px;
        }

        &-10 {
            right: 23px;
            top: 2845px;
            height: 342px;
        }

        &-11 {
            width: 264px;
        }

        &-12 {
            width: 638px;

            &::after {
                height: 28px;
            }

            &::before {
                top: 26px;
            }
        }

        &-13 {
            left: -17px;
            top: 3922px;
            width: 129px;
        }

        &-14 {
            height: 716px;

            &:after {
                width: 49px;
            }

            &::before {
                display: none;
            }
        }

        &-141 {
            left: 58px;
            bottom: calc(100% + 19px);
            width: 48px;
            height: 345px;
            display: block;
            border-left: 1px solid #6C2078;
            border-top: 1px solid #6C2078;
            border-radius: 10px 0 0 0;

            &::before {
                width: 10px;
                height: 10px;
                right: 100%;
                content: '';
                bottom: -10px;
                border-radius: 0 0 10px 0;
                border-right: 1px solid #6C2078;
                border-bottom: 1px solid #6C2078;
                border-radius: 0 0 10px 0; 
                position: absolute;
            }

            &::after {
                top: -3px;
                right: -3px;
                width: 7px;
                height: 7px;
                content: '';
                display: block;
                border-radius: 50%;
                position: absolute;
                background:  #6C2078;
            }
        }

        &-15 {
            height: 1802px;

            &:after {
                width: 20px;
            }

            &::before {
                left: 18px;
            }
        }

        &-16 {
            height: 785px;
        }

        &-17 {
            width: 438px;

            &:after {
                height: 70px;
            }

            &::before {
                top: 70px;
            }
        }

        &-18 {
            width: 8px;
            height: 109px;

            &::before {
                left: 7px;
            }
        }

        &-21 {
            left: -18px;
            top: 5868px;
        }

        &-22 {
            height: 1188px;
        }

        &-23 {
            height: 742px;
        }

        &-25 {
            height: 380px;
        }

        &-26 {
            width: 403px;
        }

        &-27 {
            top: 6620px;
            height: 908px;
        }

        &-28 {
            width: 975px;
        }

        &-29 {
            height: 86px;

            &::after {
                left: 8px;
                top: 92px;
            }
        }

        &-30 {
            top: 7797px;
            left: -7px;
            height: 1335px;
        }

        &-32 {
            left: -18px;
            right: 25px;
            bottom: 108px;
        }

        &-34 {
            height: 428px;
        }

        &-35 {
            width: 950px;
        }

        &-36 {
            height: 2085px;
        }
    }

    @media (min-width: $screen-xl-min) {
        display: none;
    }
}

.line {
    z-index: 50;
    display: none;
    position: absolute;

    &-0 {
        top: 0;
        left: 0;
        right: 0;
        height: 1px;
        position: absolute;
    }

    &-01 {
        top: 547px;
        width: 1px;
        height: 1456px;
        left: -86px;
        background: linear-gradient(0deg, rgba(66,10,75,1) 0%, rgba(108,32,120,1) 100%);

        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }

        &::before {
            left: 0;
            top: 100%;
            content: '';
            width: 10px;
            height: 10px;
            border-left: 1px solid rgba(66,10,75,1);
            border-bottom: 1px solid rgba(66,10,75,1);
            border-radius: 0 0 0 10px;
            position: absolute;
        }
    }

    &-02 {
        left: 10px;
        top: calc(100% + 10px);
        width: 627px;
        height: 150px;
        border-top: 1px solid rgba(66,10,75,1);
        border-right: 1px solid rgba(66,10,75,1);
        border-radius: 0 10px 0 0; 
        
        &::after {
            bottom: -3px;
            right: -4px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(66,10,75,1);
        }
    }

    &-03 {
        top: 300px;
        width: 1px;
        height: 1690px;
        left: -77px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(108,32,120,1)
        }
    }
    
    &-04 {
        left: 0;
        top: 100%;
        width: 1296px;
        height: 15px;
        border-left: 1px solid rgba(40,42,126,1);
        border-right: 1px solid rgba(40,42,126,1);
        border-bottom: 1px solid rgba(40,42,126,1);
        border-radius: 0 0 10px 10px;
    }

    &-05 {
        bottom: 100%;
        right: -1px;
        width: 20px;
        height: 175px;
        border-top: 1px solid rgba(40,42,126,1);
        border-right: 1px solid rgba(40,42,126,1);
        border-radius: 0 10px 0 0;
                
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(40,42,126,1)
        }
    }

    &-06 {
        top: 300px;
        width: 1px;
        height: 1209px;
        left: -67px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
        
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(108,32,120,1);
        }
    }

    &-07 {
        left: 0;
        top: 100%;
        width: 413px;
        height: 15px;
        border-left: 1px solid rgba(40,42,126,1);
        border-bottom: 1px solid rgba(40,42,126,1);
        border-radius: 0 0 0 10px;
                        
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(40,42,126,1);
        }
    }

    &-08 {
        top: 773px;
        width: 1px;
        height: 162px;
        left: -57px;
        background: linear-gradient(0deg, rgba(108,32,120,1) 0%, rgba(40,42,126,1) 100%);
                
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(40,42,126,1);
        }
   
        &::before {
            left: 0;
            top: 100%;
            content: '';
            width: 10px;
            height: 10px;
            border-left: 1px solid rgba(108,32,120,1);
            border-bottom: 1px solid rgba(108,32,120,1);
            border-radius: 0 0 0 10px;
            position: absolute;
        }
    }

    &-09 {
        left: 10px;
        top: calc(100% + 10px);
        width: 597px;
        height: 105px;
        border-top: 1px solid rgba(108,32,120,1);
        border-right: 1px solid rgba(108,32,120,1);
        border-radius: 0 10px 0 0;
                        
        &::after {
            bottom: -3px;
            right: -4px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(108,32,120,1);
        }
    }
    
    &-10 {
        right: -18px;
        top: 2170px;
        width: 1px;
        height: 1216px;
        background: linear-gradient(0deg, rgba(4,11,46,1) 0%, rgba(108,32,120,1) 100%);

        &::before {
            right: 0;
            bottom: 100%;
            content: '';
            width: 22px;
            height: 10px;
            border-top: 1px solid rgba(108,32,120,1);
            border-right: 1px solid rgba(108,32,120,1);
            border-radius: 0 10px 0 0;
            position: absolute;
        }
                             
        &::after {
            top: -13px;
            left: -22px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: rgba(108,32,120,1);
        }
    }

    &-11 {
        right: 40px;
        top: 2973px;
        width: 368px;
        height: 1px;
        background: #282A7E;
                                    
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-12 {
        top: 0;
        left: 100%;
        width: 17px;
        height: 363px;
        border-top: 1px solid #282A7E;
        border-right: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 10px 10px 0;
    }

    &-13 {
        top: 100%;
        right: 100%;
        width: 753px;
        height: 30px;
        border-top: 1px solid #282A7E;
        border-left: 1px solid #282A7E;
        border-radius: 10px 0 0 0;
                                            
        &::after {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-14 {
        left: -57px;
        top: 3337px;
        width: 299px;
        height: 704px;
        border-right: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 10px 0;

        &::before {
            right: 100%;
            top: 100%;
            content: '';
            width: 10px;
            height: 12px;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
            position: absolute;
        }
        
        &::after {
            left: 100%;
            bottom: 100%;
            content: '';
            width: 12px;
            height: 10px;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 10px 0 0 0;
            position: absolute;
        }
    }

    &-15 {
        left: calc(100% + 10px);
        bottom: calc(100% + 10px);
        width: 50px;
        height: 344px;
        border-right: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 10px 0;

        &::before {
            left: 100%;
            bottom: 100%;
            content: '';
            width: 45px;
            height: 10px;
            border-top: 1px solid #6C2078;
            border-left: 1px solid #6C2078;
            border-radius: 8px 0 0 0;
            position: absolute;
        }

        &::after {
            top: -13px;
            right: -50px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-16 {
        top: 100%;
        left: 10px;
        width: 30px;
        height: 122px;
        border-top: 1px solid #6C2078;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 10px 0 0 10px;
        
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-17 {
        top: 100%;
        left: 0px;
        width: 20px;
        height: 807px;
        border-top: 1px solid #6C2078;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 10px 0 0 10px;
    }

    &-18 {
        top: 100%;
        left: 20px;
        width: 587px;
        height: 82px;
        border-top: 1px solid #6C2078;
        border-right: 1px solid #6C2078;
        border-radius: 0 10px 0 0;
                
        &::after {
            bottom: -3px;
            right: -4px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-19 {
        left: -10px;
        top: calc(100% + 10px);
        width: 1px;
        height: 1730px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
    }

    &-20 {
        left: 0;
        top: 100%;
        width: 50px;
        height: 15px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;

        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-21 {
        top: 4160px;
        right: -18px;
        width: 18px;
        height: 517px;
        border-top: 1px solid #282A7E;
        border-right: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 10px 10px 0;

        &::after {
            bottom: -4px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-22 {
        top: 0;
        right: 10px;
        width: 592px;
        height: 1px;
        background: #282A7E;
        
        &::after {
            bottom: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-23 {
        top: 5917px;
        left: -18px;
        width: 1px;
        height: 380px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
                
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-24 {
        left: 0;
        top: 100%;
        width: 667px;
        height: 10px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;
                        
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-25 {
        top: 5917px;
        left: -30px;
        width: 1px;
        height: 740px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
                
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-26 {
        left: 0;
        top: 100%;
        width: 75px;
        height: 10px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;
                        
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-27 {
        top: 5917px;
        left: -42px;
        width: 24px;
        height: 1189px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;

        &::before {
            top: -3px;
            left: -4px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
                      
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-28 {
        right: -18px;
        top: 6659px;
        width: 1px;
        height: 917px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
    }

    &-29 {
        right: 0;
        bottom: 100%;
        width: 103px;
        height: 10px;
        border-top: 1px solid #6C2078;
        border-right: 1px solid #6C2078;
        border-radius: 0 10px 0 0;
                             
        &::after {
            top: -4px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-30 {
        top: 100%;
        right: 0;
        height: 10px;
        width: 1235px;
        border-right: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 10px 0;
    }
    
    &-31 {
        top: 100%;
        right: 100%;
        height: 108px;
        width: 12px;
        border-top: 1px solid #282A7E;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 10px 0 0 10px;
                                     
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-32 {
        left: -30px;
        top: 7846px;
        width: 1px;
        height: 1450px;
        background: linear-gradient(0deg, rgba(40,42,126,1) 0%, rgba(108,32,120,1) 100%);
                            
        &::after {
            top: -3px;
            left: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    &-33 {
        left: 0;
        top: 100%;
        width: 12px;
        height: 10px;
        border-left: 1px solid #282A7E;
        border-bottom: 1px solid #282A7E;
        border-radius: 0 0 0 10px;
                                    
        &::after {
            bottom: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #282A7E;
        }
    }

    &-34 {
        height: 1px;
        bottom: 44px;
        left: -17px;
        right: 42px;
        background: #6C2078;
    }

    &-35 {
        right: 100%;
        bottom: 0;
        width: 25px;
        height: 332px;
        border-top: 1px solid #6C2078;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 10px 0 0 10px;
                                           
        &::after {
            top: -4px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }
    
    &-36 {
        left: 100%;
        bottom: 0;
        width: 20px;
        height: 456px;
        border-top: 1px solid #6C2078;
        border-right: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 10px 10px 0;
    }

    &-37 {
        right: 100%;
        bottom: 100%;
        width: 1200px;
        height: 20px;
        border-left: 1px solid #6C2078;
        border-bottom: 1px solid #6C2078;
        border-radius: 0 0 0 10px;
    }

    &-38 {
        left: -1px;
        bottom: 100%;
        width: 1px;
        height: 2232px;
        background: #6C2078;
                                                 
        &::after {
            top: -3px;
            right: -3px;
            width: 7px;
            height: 7px;
            content: '';
            display: block;
            border-radius: 50%;
            position: absolute;
            background: #6C2078;
        }
    }

    @media (min-width: $screen-xl-min) {
        display: block;
    }

    
    @media (min-width: $screen-xxxl-min) {
     
        &-14 {
            left: -60px;
            width: 304px;
        }

        &-16 {
            width: 40px;
        }

        &-18 {
            width: 591px;
        }

        &-23 {
            left: -19px;
        }
        
        &-25 {
            left: -29px;
        }
                
        &-27 {
            width: 28px;
            left: -39px;
        }

        &-30 {
            width: 1223px;
        }

        &-31 {
            width: 23px;
        }

        &-32 {
            left: -28px;
        }

        &-33 {
            width: 20px;
        }

        &-34 {
            left: -14px;
            right: 40px;
            bottom: 104px;
        }

        &-35 {
            height: 374px;
        }

        &-36 {
            height: 496px;
        }

        &-38 {
            height: 2233px;
        }
    }
}